export type InventoryComponent = {
  clothes: "underwear" | "armor" | "dress";
  money: number;
  packages: Array<{ name: string; targetId: string; value: number }>;
};

export function createInventoryComponent(
  clothes: InventoryComponent["clothes"],
  money: number,
): InventoryComponent {
  return {
    clothes,
    money,
    packages: [],
  };
}
