export type CharacterMapMovementComponent = {
  x: number;
  y: number;
  speed: number;
  isOnPosition: boolean;
  enabled: boolean;
};

export function createCharacterMapMovementComponent(
  x: number,
  y: number,
  speed: number,
): CharacterMapMovementComponent {
  return {
    x,
    y,
    speed,
    isOnPosition: false,
    enabled: true,
  };
}
