export type CharacterMapPathComponent = {
  enabled: boolean;
  step: number;
  direction: "normal" | "reverse";
  path: Array<{ x: number; y: number }>;
};

export function createMapPathingComponent(
  path: Array<{ x: number; y: number }>,
): CharacterMapPathComponent {
  return {
    enabled: true,
    path,
    step: 0,
    direction: "normal",
  };
}
