export type SpawnerEnemyComponent = {
  remainingTime: number;
  minTime: number;
  maxTime: number;
  probability: number;
  distanceFromPosition: number;
};

export function createSpawnerEnemyComponent(): SpawnerEnemyComponent {
  return {
    probability: 0.2,
    remainingTime: 40,
    minTime: 500,
    maxTime: 800,
    distanceFromPosition: 5,
  };
}
