export type AIDeliveryComponent = {
  rotationTime: number;
  remainingRotationTime: number;
  playerFocusDistance: number;
  playerAlertDistance: number;
};

export function createAIDeliveryComponent(options: {
  rotation: number;
}): AIDeliveryComponent {
  return {
    playerFocusDistance: 4,
    playerAlertDistance: 2,
    rotationTime: options.rotation,
    remainingRotationTime: 0,
  };
}
